/**
 * Copyright (c) 2009-2012 EBM WebSourcing, 2012-2013 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see <http://www.gnu.org/licenses/>
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.commons.exception;

import java.io.PrintWriter;
import java.io.StringWriter;

/**
 * @author Roland Naudin - EBM WebSourcing
 */
public class ExceptionUtil {

    /**
     * Get an extends error message, which is an aggregation of causes messages
     * or types if the message is null.
     * 
     * @deprecated Use {@link #getStackTrace(Throwable)}
     */
    @Deprecated
    public static final String getExtendedMessage(final Exception exception) {

        return ExceptionUtil.getStackTrace(exception);
    }

    /**
     * Return the stacktrace as a string
     * 
     * @param throwable
     * @return
     */
    public static final String getStackTrace(Throwable throwable) {
        final StringWriter sw = new StringWriter();
        throwable.printStackTrace(new PrintWriter(sw));
        sw.flush();
        return sw.toString();
    }
}
